Loading...
Searching...
No Matches
Opm::BaseFluidSystem< ScalarT, Implementation >::ParameterCache< Evaluation > Struct Template Reference

The type of the fluid system's parameter cache. More...

`#include <BaseFluidSystem.hpp>`

## Detailed Description

template<class ScalarT, class Implementation>
template<class Evaluation>
struct Opm::BaseFluidSystem< ScalarT, Implementation >::ParameterCache< Evaluation >

The type of the fluid system's parameter cache.

The parameter cache can be used to avoid re-calculating expensive parameters for multiple quantities. Be aware that what the parameter cache actually does is specific for each fluid system and that it is opaque outside the fluid system.

The documentation for this struct was generated from the following file:

- opm/material/fluidsystems/BaseFluidSystem.hpp